Bug 1843 - dfree is broken on this system
Summary: dfree is broken on this system
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: File Services (show other bugs)
Version: 3.0.11
Hardware: SGI IRIX
: P3 normal
Target Milestone: none
Assignee: Jeremy Allison
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-28 07:51 UTC by Jason Mader (mail bounces back)
Modified: 2005-08-24 10:16 UTC (History)
1 user (show)

See Also:


Attachments
quotas with no softlimits (1.01 KB, patch)
2004-09-28 07:53 UTC, Jason Mader (mail bounces back)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader (mail bounces back) 2004-09-28 07:51:24 UTC
[2004/07/08 10:53:30, 0] smbd/dfree.c:(138)
  WARNING: dfree is broken on this system
Comment 1 Jason Mader (mail bounces back) 2004-09-28 07:53:36 UTC
Created attachment 683 [details]
quotas with no softlimits

patch by James Peach <jpeach@sgi.com>
Comment 2 Jason Mader (mail bounces back) 2004-09-28 07:56:59 UTC
James Peach wrote:
> If you had a user with a hard blocks limit, but no soft limit you would
> see this ..

I've tested the patch I attached with 3.0.6 and with 3.0.7 and found that it fixes the warning.
Comment 3 James Peach 2005-01-27 22:56:15 UTC
This problem is still present in Samba 3.0.11pre2. The attached patch still
applies and works on Samba 3.0.11pre2.
Comment 4 James Peach 2005-01-27 23:08:16 UTC
adding myself to CC list.
Comment 5 Gerald (Jerry) Carter 2005-02-07 15:36:46 UTC
jeremy, please take alook at this patch when you get a chance.  Thanks.
Comment 6 Gerald (Jerry) Carter 2005-03-22 10:30:54 UTC
patch applied.
Comment 7 Gerald (Jerry) Carter 2005-08-24 10:16:03 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.